package com.lanyuanxiaoyao.service.configuration.entity.yarn;

/**
 * Yarn 队列简单实体类
 *
 * @author lanyuanxiaoyao
 * @date 2023-04-22
 */
public final class YarnRootQueue {
    private String cluster;
    private String queueName;
    private String type;
    private Float capacity;
    private Float usedCapacity;
    private Float maxCapacity;
    private String webUrl;

    public String getCluster() {
        return cluster;
    }

    public YarnRootQueue setCluster(String cluster) {
        this.cluster = cluster;
        return this;
    }

    public String getQueueName() {
        return queueName;
    }

    public String getType() {
        return type;
    }

    public Float getCapacity() {
        return capacity;
    }

    public Float getUsedCapacity() {
        return usedCapacity;
    }

    public Float getMaxCapacity() {
        return maxCapacity;
    }

    public String getWebUrl() {
        return webUrl;
    }

    public YarnRootQueue setWebUrl(String webUrl) {
        this.webUrl = webUrl;
        return this;
    }

    @Override
    public String toString() {
        return "YarnRootQueue{" +
                "cluster='" + cluster + '\'' +
                ", queueName='" + queueName + '\'' +
                ", type='" + type + '\'' +
                ", capacity=" + capacity +
                ", usedCapacity=" + usedCapacity +
                ", maxCapacity=" + maxCapacity +
                ", webUrl='" + webUrl + '\'' +
                '}';
    }
}
